RFRMT-SEXPR 1.0 BASE64

(table "rformat-version-major"
       1
       "rformat-version-minor"
       0
       "subformat"
       (table "identifier" 	"reng_resource"
              "name" 	"REng resource"
              "description" 	"REng engine asset")
       "root-node"
       (array (array "result"
                     "inline"
                     (array "shader"
                            "vertex"
                            "#version 330 core

precision highp float;

layout(std140) uniform transData
{
    mat4 posTrans;
    mat3 uvTrans;
};

layout(std140) uniform shadowData
{
    mat4 worldTransMat;
    mat4 lightSpaceMatrix;
};

layout(location=0) in vec2 vertPosIn;

out vec4 clipPos;
out vec2 uv;
out vec4 smCoords;

void main ()
{
    // target declarations
    vec2 t0;
    float t1;
    float t2;
    vec4 t3;
    vec4 t4;
    float t5;
    vec4 t6;
    mat4 t7;
    vec4 t8;
    float t9;
    mat4 t10;
    vec2 t11;
    float t12;

    // function arguments
    t0 = vertPosIn;

    // function body
    t10 = posTrans;
    t2 = 0.0;
    t12 = 1.0;
    t3 = vec4(t0, t2, t12);
    t4 = t10 * t3;
    t9 = 0.5;
    t11 = t0 + t9;
    t7 = lightSpaceMatrix;
    t5 = 0.0;
    t1 = 1.0;
    t6 = vec4(t0, t5, t1);
    t8 = t7 * t6;

    // write the return values to the outputs
    gl_Position = t4;
    uv = t11;
    smCoords = t8;
}
"))))
