RFRMT-SEXPR 1.0 BASE64

(table "rformat-version-major"
       1
       "rformat-version-minor"
       0
       "subformat"
       (table "identifier" 	"reng_resource"
              "name" 	"REng resource"
              "description" 	"REng engine asset")
       "root-node"
       (array (array "result"
                     "inline"
                     (array "shader"
                            "vertex"
                            "#version 330 core

precision highp float;

layout(std140) uniform projData
{
    mat4 worldTransMat;
    mat4 camTransMat;
    mat3 normalMat;
    vec3 camPos;
};

layout(location=0) in vec3 vertPosIn;
layout(location=1) in vec3 vertNormalIn;
layout(location=2) in vec3 vertTangentIn;
layout(location=3) in vec3 vertBitangentIn;
layout(location=4) in vec2 vertUVIn;

out vec4 clipPos;
out vec3 worldPos;
out vec3 rawNormal;
out vec3 rawTangent;
out vec3 rawBitangent;
out vec2 uv;

void main ()
{
    // target declarations
    vec3 t0;
    vec4 t1;
    mat4 t2;
    mat3 t3;
    mat4 t4;
    vec3 t5;
    vec4 t6;
    float t7;
    mat3 t8;
    vec3 t9;
    vec2 t10;
    vec3 t11;
    vec3 t12;
    vec3 t13;
    float t14;
    vec4 t15;
    vec3 t16;
    vec3 t17;
    mat3 t18;
    vec3 t19;

    // function arguments
    t12 = vertPosIn;
    t13 = vertNormalIn;
    t17 = vertTangentIn;
    t11 = vertBitangentIn;
    t10 = vertUVIn;

    // function body
    t4 = worldTransMat;
    t14 = 1.0;
    t15 = vec4(t12, t14);
    t6 = t4 * t15;
    t5 = t6.xyz;
    t7 = t6.w;
    t19 = t5 / t7;
    t3 = normalMat;
    t0 = t3 * t13;
    t8 = normalMat;
    t9 = t8 * t17;
    t18 = normalMat;
    t16 = t18 * t11;
    t2 = camTransMat;
    t1 = t2 * t6;

    // write the return values to the outputs
    gl_Position = t1;
    worldPos = t19;
    rawNormal = t0;
    rawTangent = t9;
    rawBitangent = t16;
    uv = t10;
}
"))))
