#version 140

precision highp float;

layout(std140) uniform shaderData
{
  mat4  transform;
  float time;
  float aspect;
};

attribute vec2 vertPos;

varying vec2 uv;

void main ()
{
  uv = vertPos;
  vec4 posTransformed = transform * vec4(vertPos,1,1);
  gl_Position = posTransformed;
}


