#version 140

precision highp float;

layout(std140) uniform shaderData
{
  mat4  transform;
  float rotation;
  float progress;
};

attribute vec2 vertPos;

varying vec2 cart;

void main ()
{
  cart = vertPos-.5;
  vec4 posTransformed = transform * vec4(vertPos,1,1);
  gl_Position = posTransformed;
}


